async function getPlayUrl(url) {
    let playURL = '';
    const response = await $fetch(`http://iyinghua.com/${url}`);
    const res = await response.text();
    const { document } = DOMParser(res)
    const dom = xpath(document, "//div[contains(@id, 'playbox')]");
    if (dom.length > 0) {
        const vid = dom[0].getAttribute("data-vid");
        if (vid) {
            playURL = vid.replace('$mp4', '')
        }
    }

    return playURL;
}

module.exports.getPlayUrl = getPlayUrl
